// C Source File
// Created 4/3/2002; 10:13:34 AM
short _ti89;                  // Produce .89Z File
#include <tigcclib.h>         // Include All Header Files
#include "CrashLib.h"
                
/* New Exception Vectors */
void Exception_1(void);
void Exception_2(void);
void Exception_3(void);
void Exception_4(void);
void Exception_5(void);
void Exception_6(void);
void Exception_7(void);
void Exception_8(void);
void Exception_9(void);
void Exception_10(void);
void Exception_11(void);
void Exception_12(void);
void Exception_13(void);
void Exception_14(void);
void Exception_15(void);

	/* New Exception Vectors */
	long __gRedirect[NUM_VECT_REDIR]={
	(long)Exception_1,
	(long)Exception_2,
	(long)Exception_3,
	(long)Exception_4,
	(long)Exception_5,
	(long)Exception_6,
	(long)Exception_7,
	(long)Exception_8,
	(long)Exception_9,
	(long)Exception_10,
	(long)Exception_11,
	(long)Exception_12,
	(long)Exception_13,
	(long)Exception_14,
	(long)Exception_15
	};

  /* A Global List Of Vectors Used By CrashLib */
	short __gVectors[NUM_VECT_SAVED]={
	/* Addresses of Exceptions to be Caught */
	VECT_ADDR_sh(3),		//Address Error								Type 0
	VECT_ADDR_sh(4),		//Illegal Instruction 				Type 1
	VECT_ADDR_sh(5),		//Divide by Zero							Type 2
	VECT_ADDR_sh(6),		//CHK Instruction							Type 2
	VECT_ADDR_sh(7),		//TRAPV Instruction						Type 2
	VECT_ADDR_sh(8),		//Privilege Violation					Type 1
	VECT_ADDR_sh(9),		//Trace												Type 1
	VECT_ADDR_sh(24),		//Spurious Interrupt					Type 1
	VECT_ADDR_sh(31),		//Protected Memory (AI 7)			Type 1
	VECT_ADDR_sh(37),		//Trap #5											Type 2
	VECT_ADDR_sh(38),		//Trap #6											Type 2
	VECT_ADDR_sh(39),		//Trap #7											Type 2
	VECT_ADDR_sh(45),		//Trap #13										Type 2
	VECT_ADDR_sh(46),		//Trap #14										Type 2
	VECT_ADDR_sh(47),		//Trap #15										Type 2
	
	/* Other Vectors That Need To Be Backed Up */
	VECT_ADDR_sh(25),		//AI 1
	VECT_ADDR_sh(26),		//AI 2
	VECT_ADDR_sh(27),		//AI 3
	VECT_ADDR_sh(28),		//AI 4
	VECT_ADDR_sh(29),		//AI 5
	VECT_ADDR_sh(30)		//AI 6
	};
	
	/* Text Displayed in the Event of a Crash */
	const char* const gCrashLibText[NUM_VECT_REDIR]={
			"Address Error",
			"Illegal Instruction",
			"Divide by Zero",
			"CHK Instruction",
			"TRAPV Instruction",
			"Privilege Violation",
			"Trace Interrupt",
			"Spurious Interrupt",
			"Protected Memory Violation",
			"Trap #5",
			"Trap #6",
			"Trap #7",
			"Trap #13",
			"Trap #14",
			"Trap #15"
		};
		
	/* Saved Exception Vectors */
	long __gOldVectors[NUM_VECT_SAVED]={};	//should probabbly allocate this at run time...

	/* Pointer to Function that displays debugging info */
	void *__gCrashHandler=NULL;
