// C Source File
// Created 4/3/2002; 10:36:00 PM
short _ti89;                  // Produce .89Z File
#include <tigcclib.h>         // Include All Header Files
#include "CrashLib.h"

/* A Complex Crash HUD */
__ATTR_LIB_ASM__ void Crash_Debug_HUD(register CRASH_RECOVERY_STATE *dat asm("a0"))
{	
	 static const char* const infostr="*** Fatal Error ***\n%s\n"
					"d0=$%08lx a0=$%08lx\n"
					"d1=$%08lx a1=$%08lx\n"
					"d2=$%08lx a2=$%08lx\n"
					"d3=$%08lx a3=$%08lx\n"
					"d4=$%08lx a4=$%08lx\n"
					"d5=$%08lx a5=$%08lx\n"
					"d6=$%08lx a6=$%08lx\n"
					"d7=$%08lx a7=$%08lx\n"
					"pc=$%08lx sr=$%04hx";

	FontSetSys(F_6x8);
	clrscr();
	
	printf(infostr,gCrashLibText[dat->crashtype],
					dat->d0,dat->a0,
					dat->d1,dat->a1,
					dat->d2,dat->a2,
					dat->d3,dat->a3,
					dat->d4,dat->a4,
					dat->d5,dat->a5,
					dat->d6,dat->a6,
					dat->d7,dat->a7,
					dat->frametype?dat->frame.type_else.pc:dat->frame.type_zero.pc,
					dat->frametype?dat->frame.type_else.sr:dat->frame.type_zero.sr);
	
	ngetchx();
}
