// C Source File
// Created 4/4/2002; 12:31:59 PM
short _ti89;                  // Produce .89Z File
#include <tigcclib.h>         // Include All Header Files
#include "CrashLib.h"

/* A Complex Crash HUD */
__ATTR_LIB_ASM__ void Crash_File_HUD(register CRASH_RECOVERY_STATE *dat asm("a0"))
{
	 static const char* const infostr="Debuging Info:\n%s\n%s\n"
					"d0=$%08lx\n"
					"d1=$%08lx\n"
					"d2=$%08lx\n"
					"d3=$%08lx\n"
					"d4=$%08lx\n"
					"d5=$%08lx\n"
					"d6=$%08lx\n"
					"d7=$%08lx\n"
					"a0=$%08lx\n"
					"a1=$%08lx\n"
					"a2=$%08lx\n"
					"a3=$%08lx\n"
					"a4=$%08lx\n"
					"a5=$%08lx\n"
					"a6=$%08lx\n"
					"a7=$%08lx\n"
					"pc=$%08lx\n"
					"sr=$%04hx\n";
					
	char buff[400];
	FILE *f;

	sprintf(buff,infostr,CrashLibVersion,gCrashLibText[dat->crashtype],
					dat->d0,dat->d1,
					dat->d2,dat->d3,
					dat->d4,dat->d5,
					dat->d6,dat->d7,
					dat->a0,dat->a1,
					dat->a2,dat->a3,
					dat->a4,dat->a5,
					dat->a6,dat->a7,
					dat->frametype?dat->frame.type_else.pc:dat->frame.type_zero.pc,
					dat->frametype?dat->frame.type_else.sr:dat->frame.type_zero.sr);

	f=fopen ("CrashDat", "a+");
	fputs (buff, f);
	fclose (f);
	
	DlgMessage(CrashLibVersion,"ASM Crash State\x16\x43rashDat",BT_OK,0);
}
